{# -1 for sharding and timeout means use the default. #}
{%- set ltp_tests = [["ltp-cap_bounds", -1, -1], ["ltp-commands", 4, 40], ["ltp-containers", -1, 25], ["ltp-controllers", 10, 80], ["ltp-crypto", -1, 30], ["ltp-cve", 10, 50], ["ltp-fcntl-locktests", -1, -1], ["ltp-filecaps", -1, -1], ["ltp-fs_bind", 5, 40], ["ltp-fs_perms_simple", -1, 10], ["ltp-fsx", -1, 10], ["ltp-fs", 6, 40], ["ltp-hugetlb", -1, 20], ["ltp-io", -1, -1], ["ltp-ipc", -1, -1], ["ltp-math", 4, 50], ["ltp-mm", 6, 40], ["ltp-nptl", -1, -1], ["ltp-pty", -1, 10], ["ltp-sched", 4, 30], ["ltp-securebits", -1, -1], ["ltp-smoke", -1, 10], ["ltp-syscalls", 10, 50], ["ltp-tracing", 4, 30]] %}
{%- for test,shard,timeout in ltp_tests %}
    - device: {{ device_name }}
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
{%- if rootfs != "" %}
      rootfs: {{ rootfs}}
{%- endif %}
      timeouts: { "boot": {{ boot_timeout }}{% if timeout != -1 %}, "{{ test }}": {{ timeout }} {% endif %} }
{%- if shard != -1 %}
      sharding: {{ shard }}
{%- endif %}
      tests: [{{ test }}]
{%- endfor %}
